Package org.eclipse.core.databinding.util

# Interface ILogger

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface ILogger
A mechanism to log errors throughout JFace Data Binding.

Clients may provide their own implementation to change how errors are logged from within JFace Data Binding.

Since:
  1.1
See Also:
  - `Policy.getLog()`
  - `Policy.setLog(ILogger)`

## Method Summary

Modifier and Type
Method
Description
`void`
`log(IStatus status)`
Logs the given status.

## Method Details

### log

void log(IStatus status)
Logs the given status.

Parameters:
  `status` - the status to log